<?php
/*

	Plugin Name: Theme Integrator
	Plugin URI: http://pixopoint.com/theme-integrator/
	Description: A WordPress plugin which helps integrate your WordPress theme into other softwares
	Author: Ryan Hellyer
	Version: 1.0
	Author URI: http://pixopoint.com/

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


/**
 * Define some constants
 * 
 * @since 1.0
 * @author Ryan Hellyer <ryan@pixopoint.com>
 */
define( 'THEME_INTEGRATION_DIR', dirname( __FILE__ ) . '/' ); // Plugin folder DIR
define( 'THEME_INTEGRATION_URL', plugins_url( '', __FILE__ ) ); // Plugin folder URL

/**
 * Loading the plugin admin page or core
 * 
 * @since 1.0
 * @author Ryan Hellyer <ryan@pixopoint.com>
 */
if ( is_admin() ) {
	require( 'inc/class-theme-integrator-admin.php' );
	new Theme_Integrator_Admin;
}
else {
	require( 'inc/class-theme-integrator-create-cache.php' );
	$theme_integrator_cache = new Theme_Integrator_Create_Cache;
}


/**
 * Function used on front-end to handle caching bits
 * 
 * @since 1.0
 * @author Ryan Hellyer <ryan@pixopoint.com>
 * @global $theme_integrator_cache
 */
function cache_chunk() {
	global $theme_integrator_cache;
	echo $theme_integrator_cache->cache_chunk();
}
